## python-levenshtein 0.25.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12...3.24)

cmake_policy(SET CMP0054 NEW)
set(CMAKE_INTERPROCEDURAL_OPTIMIZATION TRUE)
set(SKBUILD_LINK_LIBRARIES_KEYWORD PRIVATE)
set(Python_FIND_IMPLEMENTATIONS CPython PyPy)

set(THREADS_PREFER_PTHREAD_FLAG ON)
if(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  set(CMAKE_OSX_DEPLOYMENT_TARGET
      "10.9"
      CACHE STRING "Minimum OS X deployment version")
endif()

project(Levenshtein LANGUAGES C CXX)

if(MSVC)
  add_compile_options(/W4)
else()
  add_compile_options(-Wall -Wextra -pedantic)
endif()

if(CMAKE_VERSION VERSION_LESS 3.18)
  find_package(
    Python
    COMPONENTS Interpreter Development
    REQUIRED)
else()
  set(Python_ARTIFACTS_INTERACTIVE TRUE)
  find_package(
    Python
    COMPONENTS Interpreter Development.Module
    REQUIRED)
endif()

if(CMAKE_VERSION VERSION_LESS 3.17)
  execute_process(
    COMMAND
      "${Python_EXECUTABLE}" -c
      "import sysconfig; print(sysconfig.get_config_var('EXT_SUFFIX').split('.')[1])"
    OUTPUT_VARIABLE Python_SOABI
    OUTPUT_STRIP_TRAILING_WHITESPACE COMMAND_ECHO STDOUT)
  message(STATUS "Corrected SOABI: ${Python_SOABI}")
elseif("${Python_INTERPRETER_ID}" STREQUAL "PyPy")
  message(STATUS "PyPy SOABI: ${Python_SOABI}")
  execute_process(
    COMMAND
      "${Python_EXECUTABLE}" -c
      "import sysconfig; print(sysconfig.get_config_var('EXT_SUFFIX').split('.')[1])"
    OUTPUT_VARIABLE Python_SOABI
    OUTPUT_STRIP_TRAILING_WHITESPACE COMMAND_ECHO STDOUT)
  message(STATUS "Corrected SOABI: ${Python_SOABI}")
endif()

find_package(rapidfuzz 3.0.0 QUIET)
if(rapidfuzz_FOUND)
  message(STATUS "Using system supplied version of rapidfuzz-cpp")
else()
  message(STATUS "Using packaged version of rapidfuzz-cpp")
  add_subdirectory(extern/rapidfuzz-cpp)
endif()

set(LEV_BASE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/src/Levenshtein)

add_subdirectory(src/Levenshtein)

=== Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = docs
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## python-levenshtein 0.10.1

=== debian/changelog ===
python-levenshtein (0.10.1-2) unstable; urgency=low

  * debian/control
    - adopt it under DMPT umbrella; thanks to Nicolas for his previous work;
      Closes: #654348
    - add Vcs-* fields
    - rename XS-P-V fields to X-P-V
    - remove useless XB-P-V field
    - bump Standards-Version to 3.9.2
    - added ${misc:Depends} to binary Depends
    - update Homepage field; Closes: #479626
  * Switch to 3.0 (quilt) source format
  * debian/{control, rules}
    - use python-support instead of python-central; Closes: #617011
    - build debug extension
  * Switch to short debian/rules file format
  * debian/watch
    - remove template header

 -- Sandro Tosi <morph@debian.org>  Tue, 10 Jan 2012 19:06:55 +0100

python-levenshtein (0.10.1-1.1) unstable; urgency=low

  * Non-maintainer upload, to prepare for Python 2.6 transition
  * debian/rules
    - use '--install-layout=deb' when installing the module; thanks to Jakub
      Wilk for the report; Closes: #571507
  * debian/control
    - bump b-d in python-all-dev to '>= 2.5.3-1~', to support install-layout

 -- Sandro Tosi <morph@debian.org>  Mon, 01 Mar 2010 11:35:26 +0100

python-levenshtein (0.10.1-1) unstable; urgency=low

  * Initial Release. Closes: #473274

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Sat, 29 Mar 2008 18:04:18 +0100

=== debian/control ===
Source: python-levenshtein
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sandro Tosi <morph@debian.org>
Build-Depends: python-all-dev (>= 2.5.3-1~), python-all-dbg, python-support (>= 1), debhelper (>= 7.0.50~)
X-Python-Version: all
Standards-Version: 3.9.2
Homepage: http://translate.sourceforge.net/wiki/toolkit/levenshtein_distance
Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/python-levenshtein/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-levenshtein/trunk/

Package: python-levenshtein
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Description: extension for computing string similarities and edit distances
 The Levenshtein module computes Levenshtein distances, similarity ratios,
 generalized medians and set medians of Unicode or non-Unicode strings.
 Because it's implemented in C, it's much faster than the corresponding
 Python library functions and methods.
 .
 The Levenshtein distance is the minimum number of single-character
 insertions, deletions, and substitutions to transform one string into
 another.
 .
 It is useful for spell checking, or fuzzy matching of gettext messages.

Package: python-levenshtein-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python-levenshtein (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Description: extension for computing string similarities and edit distances(debug extension)
 The Levenshtein module computes Levenshtein distances, similarity ratios,
 generalized medians and set medians of Unicode or non-Unicode strings.
 Because it's implemented in C, it's much faster than the corresponding
 Python library functions and methods.
 .
 The Levenshtein distance is the minimum number of single-character
 insertions, deletions, and substitutions to transform one string into
 another.
 .
 It is useful for spell checking, or fuzzy matching of gettext messages.
 .
 This package contains the extensions built for the Python debug interpreter.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PYVERS=$(shell pyversions -vr)
PYLIBPATH := $(shell python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_platlib")

%:
	dh $@

override_dh_auto_build:
	set -e ; \
	for py in $(PYVERS); do \
		python$$py setup.py build ; \
		python$$py-dbg setup.py build ; \
	done
	# build doc
	PYTHONPATH=$(PYLIBPATH) ./gendoc.sh Levenshtein

override_dh_auto_clean:
	rm -f Levenshtein.html NEWS.xhtml
	dh_auto_clean

override_dh_auto_install:
	set -e ; \
	for py in $(PYVERS); do \
		python$$py setup.py install --root $(CURDIR)/debian/python-levenshtein --install-layout=deb ; \
		python$$py-dbg setup.py install --root $(CURDIR)/debian/python-levenshtein-dbg --install-layout=deb ; \
	done
	find $(CURDIR)/debian/python-levenshtein-dbg -type f -name "*.egg-info" -delete

override_dh_installdocs:
	dh_installdocs README NEWS Levenshtein.html

override_dh_installexamples:
	dh_installexamples StringMatcher.py

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip --dbg-package=python-levenshtein-dbg
	# fix python-debug-in-wrong-location lintian warning
	cd debian/*-dbg/usr/lib/debug/usr/lib && mv pyshared pymodules
endif

=== debian/watch ===
version=2
http://sf.net/translate/python-Levenshtein-(.*).tar.(?:gz|bz2)

## python-levenshtein 0.11.2

=== debian/changelog ===
python-levenshtein (0.11.2-2) unstable; urgency=medium

  * debian/patches/6c654dad56edf9ba4e38b5ab5f5dd6fcf5fffa54.patch
    - fix a crash when using seq*() functions; thanks to Emil Langrock for the
      report; Closes: #597609
  * debian/control
    - bump Standards-Version to 3.9.6 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Mon, 03 Nov 2014 20:53:51 +0000

python-levenshtein (0.11.2-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - switch me to Maintainer (team to Uploaders)
    - bump Standards-Version to 3.9.5 (no changes needed)
    - add python{,3}-setuptools to b-d
  * debian/watch
    - udpate download location
  * debian/{control, copyright}
    - update homepage information
  * debian/copyright
    - convert to DEP-5 format
  * Switch to dh_python2/3
  * added Python 3 packages

 -- Sandro Tosi <morph@debian.org>  Sun, 02 Feb 2014 21:15:26 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PY2VERS=$(shell pyversions -vr)
PY3VERS=$(shell py3versions -vr)
PYLIBPATH := $(shell python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_platlib")

%:
	dh $@ --with python2,python3

override_dh_auto_build:
	set -e ; \
	for py in $(PY2VERS) $(PY3VERS); do \
		python$$py setup.py build ; \
		python$$py-dbg setup.py build ; \
	done
	# build doc
	PYTHONPATH=$(PYLIBPATH) ./gendoc.sh

override_dh_auto_clean:
	rm -f Levenshtein.html NEWS.xhtml
	dh_auto_clean

override_dh_auto_install:
	set -e ; \
	for py in $(PY2VERS); do \
		python$$py setup.py install --root $(CURDIR)/debian/python-levenshtein --install-layout=deb ; \
		python$$py-dbg setup.py install --root $(CURDIR)/debian/python-levenshtein-dbg --install-layout=deb ; \
	done
	for py in $(PY3VERS); do \
		python$$py setup.py install --root $(CURDIR)/debian/python3-levenshtein --install-layout=deb ; \
		python$$py-dbg setup.py install --root $(CURDIR)/debian/python3-levenshtein-dbg --install-layout=deb ; \
	done
	find $(CURDIR)/debian/python-levenshtein-dbg -type f -name "*.egg-info" -delete
	find $(CURDIR)/debian/python3-levenshtein-dbg -type f -name "*.egg-info" -delete

override_dh_installdocs:
	dh_installdocs README.rst NEWS NEWS.xhtml Levenshtein.html

override_dh_installexamples:
	dh_installexamples StringMatcher.py

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -p python-levenshtein --dbg-package=python-levenshtein-dbg
	dh_strip -p python3-levenshtein --dbg-package=python3-levenshtein-dbg
endif

=== debian/watch ===
version=2
https://pypi.python.org/packages/source/p/python-Levenshtein/python-Levenshtein-(.*)\.tar.gz

## python-levenshtein 0.12.0

=== debian/changelog ===
python-levenshtein (0.12.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Sandro Tosi ]
  * debian/control
    - bump Standards-Version to 4.3.0 (no changes needed)
  * debian/copyright
    - extend packaging copyright years
  * bump compat level to 11

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Feb 2019 00:26:52 -0500

python-levenshtein (0.12.0-2) unstable; urgency=medium

  * upload to unstable

 -- Sandro Tosi <morph@debian.org>  Sun, 02 Aug 2015 13:11:20 +0100

python-levenshtein (0.12.0-1) experimental; urgency=medium

  * New upstream release; Closes: #781301
  * debian/watch
    - use PyPI redirector
  * debian/patches/6c654dad56edf9ba4e38b5ab5f5dd6fcf5fffa54.patch
    - dropped, merged upstream
  * debian/patches, debian/rules
    - docs no longer need to be built, install the files from upstream tarball
  * debian/rules
    - keep installing StringMatcher.py as an example
    - remove unnecessary installed source code files

 -- Sandro Tosi <morph@debian.org>  Fri, 10 Apr 2015 13:46:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: python-levenshtein
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Sandro Tosi <morph@debian.org>
-Build-Depends: python-all-dev (>= 2.5.3-1~), python-all-dbg, python-support (>= 1), debhelper (>= 7.0.50~)
+Maintainer: Sandro Tosi <morph@debian.org>
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Build-Depends: python-all-dev (>= 2.5.3-1~), python-all-dbg, python3-all-dev, python3-all-dbg, dh-python, debhelper (>= 11), python-setuptools, python3-setuptools
 X-Python-Version: all
-Standards-Version: 3.9.2
-Homepage: http://translate.sourceforge.net/wiki/toolkit/levenshtein_distance
-Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/python-levenshtein/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-levenshtein/trunk/
+Standards-Version: 4.3.0
+Homepage: https://github.com/ztane/python-Levenshtein
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-levenshtein.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-levenshtein
 
 Package: python-levenshtein
 Architecture: any
@@ -25,9 +25,25 @@
  .
  It is useful for spell checking, or fuzzy matching of gettext messages.
 
+Package: python3-levenshtein
+Architecture: any
+Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
+Description: extension for computing string similarities and edit distances (Python 3)
+ The Levenshtein module computes Levenshtein distances, similarity ratios,
+ generalized medians and set medians of Unicode or non-Unicode strings.
+ Because it's implemented in C, it's much faster than the corresponding
+ Python library functions and methods.
+ .
+ The Levenshtein distance is the minimum number of single-character
+ insertions, deletions, and substitutions to transform one string into
+ another.
+ .
+ It is useful for spell checking, or fuzzy matching of gettext messages.
+ .
+ This package contains Levenshtein for Python 3.
+
 Package: python-levenshtein-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Depends: python-levenshtein (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
 Description: extension for computing string similarities and edit distances(debug extension)
@@ -43,3 +59,21 @@
  It is useful for spell checking, or fuzzy matching of gettext messages.
  .
  This package contains the extensions built for the Python debug interpreter.
+
+Package: python3-levenshtein-dbg
+Section: debug
+Architecture: any
+Depends: python3-levenshtein (= ${binary:Version}), ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
+Description: extension for computing string similarities and edit distances(py3k debug ext)
+ The Levenshtein module computes Levenshtein distances, similarity ratios,
+ generalized medians and set medians of Unicode or non-Unicode strings.
+ Because it's implemented in C, it's much faster than the corresponding
+ Python library functions and methods.
+ .
+ The Levenshtein distance is the minimum number of single-character
+ insertions, deletions, and substitutions to transform one string into
+ another.
+ .
+ It is useful for spell checking, or fuzzy matching of gettext messages.
+ .
+ This package contains the extensions built for the Python 3 debug interpreter.

=== debian/rules ===
--- 
+++ 
@@ -14,12 +14,6 @@
 		python$$py setup.py build ; \
 		python$$py-dbg setup.py build ; \
 	done
-	# build doc
-	PYTHONPATH=$(PYLIBPATH) ./gendoc.sh
-
-override_dh_auto_clean:
-	rm -f Levenshtein.html NEWS.xhtml
-	dh_auto_clean
 
 override_dh_auto_install:
 	set -e ; \
@@ -34,11 +28,18 @@
 	find $(CURDIR)/debian/python-levenshtein-dbg -type f -name "*.egg-info" -delete
 	find $(CURDIR)/debian/python3-levenshtein-dbg -type f -name "*.egg-info" -delete
 
+	# https://github.com/ztane/python-Levenshtein/issues/20
+	rm -f $(CURDIR)/debian/python*-levenshtein*/usr/lib/python*/dist-packages/Levenshtein/_levenshtein.c
+	rm -f $(CURDIR)/debian/python*-levenshtein*/usr/lib/python*/dist-packages/Levenshtein/_levenshtein.h
+
+	# https://github.com/ztane/python-Levenshtein/issues/21
+	rm -f $(CURDIR)/debian/python*-levenshtein*/usr/lib/python*/dist-packages/Levenshtein/StringMatcher.py
+
 override_dh_installdocs:
-	dh_installdocs README.rst NEWS NEWS.xhtml Levenshtein.html
+	dh_installdocs README.rst NEWS docs/Levenshtein.html
 
 override_dh_installexamples:
-	dh_installexamples StringMatcher.py
+	dh_installexamples Levenshtein/StringMatcher.py
 
 override_dh_strip:
 ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/python-Levenshtein/python-Levenshtein-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-levenshtein 0.12.2

=== debian/changelog ===
python-levenshtein (0.12.2-2) unstable; urgency=medium

  * remove -dbg package; Closes: #994358

 -- Sandro Tosi <morph@debian.org>  Thu, 30 Sep 2021 19:47:31 -0400

python-levenshtein (0.12.2-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sat, 13 Feb 2021 00:10:00 -0500

python-levenshtein (0.12.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python3-levenshtein-dbg: Add Multi-Arch: same.

  [ Sandro Tosi ]
  * New upstream release
  * Use the new Debian Python Team contact name and address
  * debian/control
    - bump Standards-Version to 4.5.1 (no changes needed)
    - drop obsolete X-Python-Version source field
    - run wrap-and-sort
    - bump dh compat to 13
  * debian/copyright
    - extrend packaging copyright years
  * debian/watch
    - bump version to 4
  * debian/rules
    - enable hardening flags

 -- Sandro Tosi <morph@debian.org>  Wed, 27 Jan 2021 01:26:51 -0500

python-levenshtein (0.12.0-5) unstable; urgency=medium

  * debian/python3-levenshtein.doc-base
    - update Document and other info, to avoid conflict with the previous
      python-levenshtein bin package; Closes: #946721

 -- Sandro Tosi <morph@debian.org>  Sat, 14 Dec 2019 16:08:25 -0500

python-levenshtein (0.12.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937885

 -- Sandro Tosi <morph@debian.org>  Thu, 12 Dec 2019 21:06:29 -0500

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

PY3VERS=$(shell py3versions -vr)
PY3LIBPATH := $(shell python3 -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_platlib)")

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	set -e ; \
	for py in $(PY3VERS); do \
		python$$py setup.py build ; \
	done

override_dh_auto_install:
	set -e ; \
	for py in $(PY3VERS); do \
		python$$py setup.py install --root $(CURDIR)/debian/python3-levenshtein --install-layout=deb ; \
	done

	# https://github.com/ztane/python-Levenshtein/issues/20
	rm -f $(CURDIR)/debian/python*-levenshtein*/usr/lib/python*/dist-packages/Levenshtein/_levenshtein.c
	rm -f $(CURDIR)/debian/python*-levenshtein*/usr/lib/python*/dist-packages/Levenshtein/_levenshtein.h

	# https://github.com/ztane/python-Levenshtein/issues/21
	rm -f $(CURDIR)/debian/python*-levenshtein*/usr/lib/python*/dist-packages/Levenshtein/StringMatcher.py

override_dh_installdocs:
	dh_installdocs README.rst NEWS docs/Levenshtein.html

override_dh_installexamples:
	dh_installexamples Levenshtein/StringMatcher.py

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/python-Levenshtein/python-Levenshtein-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-levenshtein 0.25.1

=== debian/changelog ===
python-levenshtein (0.25.1-2) experimental; urgency=medium

  * Team Upload.
  * Update d/copyright.

 -- Stuart Prescott <stuart@debian.org>  Tue, 16 Apr 2024 09:24:48 +1000

python-levenshtein (0.25.1-1) experimental; urgency=medium

  [ Stuart Prescott ]
  * Team Upload
  * Import new upstream version.
    - Update d/rules to match new build system
  * Add new doc package.
    - Build documentation with sphinx
  * Update Standards-Version to 4.7.0 (no changes required).
  * Normalise whitespace in d/control with wrap-and-sort -ast.

  [ Sandro Tosi ]
  * Switch to the new upstream location:
    https://github.com/maxbachmann/Levenshtein
  * New upstream release
  * debian/control
    - add cython, skbuild to b-d

 -- Stuart Prescott <stuart@debian.org>  Tue, 16 Apr 2024 00:59:20 +1000

python-levenshtein (0.12.2-3) unstable; urgency=medium

  * orphan

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 15:33:48 -0500

=== debian/control ===
Source: python-levenshtein
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>,
Build-Depends:
 cython3 (>= 3.0.0a10),
 debhelper-compat (= 13),
 dh-python,
 librapidfuzz-cpp-dev,
 pybuild-plugin-pyproject,
 python3-all-dev,
 python3-pytest,
 python3-rapidfuzz,
 python3-setuptools,
 python3-skbuild (>= 0.13.0),
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.7.0
Homepage: https://maxbachmann.github.io/Levenshtein/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-levenshtein.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-levenshtein
Rules-Requires-Root: no

Package: python3-levenshtein
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: extension for computing string similarities and edit distances (Python 3)
 The Levenshtein module computes Levenshtein distances, similarity ratios,
 generalized medians and set medians of Unicode or non-Unicode strings.
 Because it's implemented in C, it's much faster than the corresponding
 Python library functions and methods.
 .
 The Levenshtein distance is the minimum number of single-character
 insertions, deletions, and substitutions to transform one string into
 another.
 .
 It is useful for spell checking, or fuzzy matching of gettext messages.
 .
 This package contains Levenshtein for Python 3.

Package: python-levenshtein-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: extension for computing string similarities and edit distances (Documentations)
 The Levenshtein module computes Levenshtein distances, similarity ratios,
 generalized medians and set medians of Unicode or non-Unicode strings.
 Because it's implemented in C, it's much faster than the corresponding
 Python library functions and methods.
 .
 The Levenshtein distance is the minimum number of single-character
 insertions, deletions, and substitutions to transform one string into
 another.
 .
 It is useful for spell checking, or fuzzy matching of gettext messages.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export PYBUILD_NAME = levenshtein

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(shell pybuild --pyver `py3versions -dv` --print {build_dir}) \
	  python3 -m sphinx docs build
endif

## python-levenshtein 0.26.0

=== debian/changelog ===
python-levenshtein (0.26.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Migrate to scikit-build-core build-dependency.
  * debian/control: Bump build-dependency versions.

 -- Boyuan Yang <byang@debian.org>  Mon, 30 Sep 2024 20:04:43 -0400

python-levenshtein (0.25.1-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Fix compilation with Python 3.12 (Closes: #1061434, #1065976)

 -- Stuart Prescott <stuart@debian.org>  Sat, 27 Apr 2024 11:45:48 +1000

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends:
- cython3 (>= 3.0.0a10),
+ cython3 (>= 3.0.11),
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  librapidfuzz-cpp-dev,
  pybuild-plugin-pyproject,
  python3-all-dev,
- python3-pytest,
+ python3-pytest <!nocheck>,
  python3-rapidfuzz,
- python3-setuptools,
+ python3-scikit-build-core (>= 0.10.6),
  python3-skbuild (>= 0.13.0),
  python3-sphinx,
  python3-sphinx-rtd-theme,

## python-levenshtein 0.26.1

=== debian/changelog ===
python-levenshtein (0.26.1-2) unstable; urgency=medium

  * QA upload.
  * debian/control: Add field Built-Using: ${sphinxdoc:Built-Using}.
  * debian/control: Mark the doc package as M-A: foreign.

 -- Boyuan Yang <byang@debian.org>  Sat, 21 Dec 2024 17:13:30 -0500

python-levenshtein (0.26.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 18 Dec 2024 11:14:26 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-levenshtein
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>,
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends:
  cython3 (>= 3.0.11),
  debhelper-compat (= 13),
@@ -43,10 +43,13 @@
 
 Package: python-levenshtein-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Built-Using:
+ ${sphinxdoc:Built-Using},
 Description: extension for computing string similarities and edit distances (Documentations)
  The Levenshtein module computes Levenshtein distances, similarity ratios,
  generalized medians and set medians of Unicode or non-Unicode strings.

## python-levenshtein 0.27.0

=== debian/changelog ===
python-levenshtein (0.27.0-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 16:13:01 +0000

python-levenshtein (0.27.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/control: Tighten version requirement.

 -- Boyuan Yang <byang@debian.org>  Sun, 16 Feb 2025 16:53:02 -0500

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
  cython3 (>= 3.0.11),
  debhelper-compat (= 13),
  dh-sequence-python3,
- librapidfuzz-cpp-dev,
+ librapidfuzz-cpp-dev (>= 3.2.0),
  pybuild-plugin-pyproject,
  python3-all-dev,
  python3-pytest <!nocheck>,
  python3-rapidfuzz,
- python3-scikit-build-core (>= 0.10.6),
+ python3-scikit-build-core (>= 0.10.7),
  python3-skbuild (>= 0.13.0),
  python3-sphinx,
  python3-sphinx-rtd-theme,

## python-levenshtein 0.27.1

=== src/Levenshtein/CMakeLists.txt ===
function(create_cython_target _name)
  if(EXISTS ${CMAKE_CURRENT_LIST_DIR}/${_name}.cxx)
    set(${_name}
        ${CMAKE_CURRENT_LIST_DIR}/${_name}.cxx
        PARENT_SCOPE)
  else()
    add_custom_command(
      OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/${_name}.cxx"
      MAIN_DEPENDENCY "${CMAKE_CURRENT_LIST_DIR}/${_name}.pyx"
      VERBATIM
      COMMAND
        Python::Interpreter -m cython "${CMAKE_CURRENT_LIST_DIR}/${_name}.pyx"
        --output-file "${CMAKE_CURRENT_BINARY_DIR}/${_name}.cxx")

    set(${_name}
        ${CMAKE_CURRENT_BINARY_DIR}/${_name}.cxx
        PARENT_SCOPE)
  endif()
endfunction(create_cython_target)

function(rf_add_library name)
  if(CMAKE_VERSION VERSION_LESS 3.17)
    python_add_library(${name} MODULE ${ARGV})
    get_property(
      suffix
      TARGET ${name}
      PROPERTY SUFFIX)
    if(NOT suffix)
      set(suffix "${CMAKE_SHARED_MODULE_SUFFIX}")
    endif()
    set_property(TARGET ${name} PROPERTY SUFFIX ".${Python_SOABI}${suffix}")
  else()
    python_add_library(${name} MODULE WITH_SOABI ${ARGV})
  endif()
endfunction(rf_add_library)

create_cython_target(levenshtein_cpp)
rf_add_library(levenshtein_cpp ${levenshtein_cpp}
               ${LEV_BASE_DIR}/Levenshtein-c/_levenshtein.cpp)
target_compile_features(levenshtein_cpp PUBLIC cxx_std_17)
target_include_directories(levenshtein_cpp
                           PRIVATE ${LEV_BASE_DIR}/Levenshtein-c)
target_link_libraries(levenshtein_cpp PRIVATE rapidfuzz::rapidfuzz)
install(TARGETS levenshtein_cpp DESTINATION Levenshtein/)

=== debian/changelog ===
python-levenshtein (0.27.1-2build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 10:26:02 +0000

python-levenshtein (0.27.1-2) unstable; urgency=medium

  * Team upload
  * Revert PYBUILD_NAME change; this created an empty package
  * Use autopkgtest-pkg-pybuild in d/control; autopkgtest-pkg-python fails
    as the module name is Levenshtein, not levenshtein

 -- Julian Gilbey <jdg@debian.org>  Tue, 15 Apr 2025 22:41:37 +0100

python-levenshtein (0.27.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream release. (Closes: #1102383)
  * debian/rules: Use the correct PYBUILD_NAME variable.

 -- Boyuan Yang <byang@debian.org>  Tue, 08 Apr 2025 11:41:33 -0400

=== debian/control ===
Source: python-levenshtein
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Build-Depends:
 cython3 (>= 3.0.11),
 debhelper-compat (= 13),
 dh-sequence-python3,
 librapidfuzz-cpp-dev (>= 3.2.0),
 pybuild-plugin-pyproject,
 python3-all-dev,
 python3-pytest <!nocheck>,
 python3-rapidfuzz,
 python3-scikit-build-core (>= 0.11),
 python3-skbuild (>= 0.13.0),
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.7.2
Homepage: https://maxbachmann.github.io/Levenshtein/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-levenshtein.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-levenshtein
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild
Description: extension for computing string similarities and edit distances
 The Levenshtein module computes Levenshtein distances, similarity ratios,
 generalized medians and set medians of Unicode or non-Unicode strings.
 Because it's implemented in C, it's much faster than the corresponding
 Python library functions and methods.
 .
 The Levenshtein distance is the minimum number of single-character
 insertions, deletions, and substitutions to transform one string into
 another.
 .
 It is useful for spell checking, or fuzzy matching of gettext messages.

Package: python3-levenshtein
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis} (Python 3)
 ${source:Extended-Description}
 .
 This package contains Levenshtein for Python 3.

Package: python-levenshtein-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: ${source:Synopsis} (Documentations)
 ${source:Extended-Description}
 .
 This package contains the documentation.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-levenshtein-$1.tar.gz%" \
https://github.com/maxbachmann/Levenshtein/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
